.trusted-by-carousel-section{
    width: 100%;
    max-width: 1920px;
    display: flex;
    align-items: center;
    gap: 0;
    padding-top: 20px;
    padding-bottom: 20px;
    padding-inline-start: 100px;
    padding-inline-end: 0;
    border-bottom: 1px solid rgba(156, 174, 201, 0.20);
    background: var(--d-dark);
}

.trusted-by-carousel-section .main-h4-semibold{
    min-width: 251px;
    color: var(--d-light-grey);
}

.trusted-by-carousel-section .swiper-container{
    flex: 1;
    overflow: hidden;
    position: relative;
    opacity: 0.8;
}

.trusted-by-carousel-section .swiper-wrapper {
  pointer-events: none;
  transition-timing-function: linear;
}

.trusted-by-carousel-section .swiper-slide{
    padding: 0 20px;
    position: relative;
    width: auto;
}

.trusted-by-carousel-section .swiper-slide img{
    width: 272px;
    aspect-ratio: 33 / 16;
    height: auto;
    object-position: center;
}

.trusted-by-carousel-section .swiper-container::before,
.trusted-by-carousel-section .swiper-container::after{
    position: absolute;
    top: 0;
    height: 100%;
    width: auto;
    aspect-ratio: 25 / 33;
    content: '';
    display: block;
    z-index: 2;
}

.trusted-by-carousel-section .swiper-container::before{
    left: -1px;
    background: linear-gradient(90deg, #010B25 2.26%, rgba(1, 11, 37, 0.00) 79.81%);
}

.trusted-by-carousel-section .swiper-container::after{
    right: -1px;
    background: linear-gradient(270deg, #010B25 2.26%, rgba(1, 11, 37, 0.00) 79.81%);
}

@media (max-width: 1919px) {
    .trusted-by-carousel-section{
        padding-top: 12px;
        padding-bottom: 12px;
        padding-inline-start: 80px;
    }

    .trusted-by-carousel-section .main-h4-semibold{
        min-width: 200px;
    }

    .trusted-by-carousel-section .swiper-slide img{
        width: 200px;
    }

    .trusted-by-carousel-section .swiper-slide{
        padding: 0 14px;
    }
}

@media (max-width: 1439px) {
    .trusted-by-carousel-section{
        padding-inline-start: 60px;
    }

    .trusted-by-carousel-section .swiper-slide img{
        width: 176px;
    }
}

@media (max-width: 1079px) {
    .trusted-by-carousel-section{
        padding-top: 0;
        padding-bottom: 0;
        padding-inline-start: 0;
    }

    .trusted-by-carousel-section .main-h4-semibold{
        display: none;
    }

    .trusted-by-carousel-section .swiper-slide img{
        width: 200px;
    }
}

@media (max-width: 577px) {
    .trusted-by-carousel-section .swiper-slide img{
        width: 176px;
    }
}